<script lang="ts">
import Vue from 'vue';
import { MetaInfo } from 'vue-meta/types/vue-meta';
import {
  IntegratedApplications,
  NextStepAlt,
  SideNavigationVariant,
} from '../components/common/index.vue';
import {
  BenefitCards,
  CopyBenefits,
  Hero,
  Recognition,
  Resources,
} from '../components/atlassian/index.vue';
import { TierBlock } from '../components/solutions/index.vue';
import { getPageMetadata } from '~/common/meta';
import { PricingBanner } from '~/components/pricing/index.vue';

export default Vue.extend({
  components: {
    CopyBenefits,
    BenefitCards,
    NextStepAlt,
    Resources,
    Hero,
    SideNavigationVariant,
    TierBlock,
    Recognition,
    IntegratedApplications,
    PricingBanner,
  },
  async asyncData({ $content, i18n }) {
    try {
      const data = await $content(
        `${i18n.locale}/move-to-gitlab-from-atlassian`,
      ).fetch();
      return { data };
    } catch (e) {
      throw new Error(e);
    }
  },
  data() {
    return {};
  },
  head(): MetaInfo {
    return getPageMetadata(
      (this as any).data,
      this.$route.path,
      this.$nuxtI18nHead({ addSeoAttributes: true }),
    );
  },
});
</script>

<template>
  <div class="atlassian-wrapper">
    <Hero class="atlassian-hero" :data="data.solutions_hero" />
    <BenefitCards :data="data.benefit_cards" />
    <SideNavigationVariant
      :links="data.side_navigation_links"
      :text-link="data.side_navigation_text_link"
    >
      <CopyBenefits id="bitbucket" :data="data.copy_benefits_bitbucket" />
      <CopyBenefits id="jira" :data="data.copy_benefits_jira" />
      <CopyBenefits id="bamboo" :data="data.copy_benefits_bamboo" />
      <CopyBenefits id="confluence" :data="data.copy_benefits_confluence" />
      <TierBlock id="pricing" :data="data.tier_block" />
      <PricingBanner id="agile-add-on" :data="data.pricing_banner" />
    </SideNavigationVariant>
    <Resources :data="data.resources" />
    <Recognition :data="data.recognition" />
    <IntegratedApplications :data="data.atlassian_solutions" />
    <NextStepAlt />
  </div>
</template>

<style scoped lang="scss">
.atlassian-wrapper {
  overflow: hidden;
  position: relative;

  @media (min-width: $breakpoint-md) {
    &::before {
      content: '';
      background: url('https://images.ctfassets.net/xz1dnu24egyd/6nbN7BYzsef9vDxnrnpQqH/c08c23f6b7cdcce161d00accca5db8d5/VectorResources.png');
      position: absolute;
      background-repeat: no-repeat;
      width: 500px;
      height: 100%;
      z-index: -1;
      left: 0;
      top: calc(100% - 2500px);
    }
  }
  @media (min-width: $breakpoint-md) {
    &::after {
      content: '';
      background: url('https://images.ctfassets.net/xz1dnu24egyd/Llt4wqtC6UMei12bOU1tT/7dc304a198da185026e83b07178c4423/VectorHero.png');
      position: absolute;
      background-repeat: no-repeat;
      z-index: -1;
      width: 50%;
      height: 100%;
      right: -30vw;
      top: -200px;
    }
  }

  #bitbucket {
    @media (max-width: $breakpoint-md) {
      margin-top: $spacing-32;
    }
  }
}

div[role='main'] {
  overflow: clip;
}
</style>
